%global giturl https://github.com/vigna/fastutil
%global gittag %{version}

Name:           fastutil
Version:        8.5.12
Release:        1%{?dist}
Summary:        Fast & compact type-specific collections for Java

License:        Apache-2.0
URL:            https://fastutil.di.unimi.it/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        %{giturl}/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildRequires:  ant
BuildRequires:  javapackages-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.hamcrest:hamcrest-all)
BuildRequires:  mvn(org.apache.ant:ant-junit)
# Required for generate source code
BuildRequires:  gcc
BuildRequires:  make

%description
fastutil extends the Java Collections Framework by providing type-specific
maps, sets, lists and queues with a small memory footprint and fast access and
insertion; provides also big (64-bit) arrays, sets and lists, and fast,
practical I/O classes for binary and text files.

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{gittag}
find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete
JUNIT_CLASSPATH=$(build-classpath junit:junit)
HAMCREST_CLASSPATH=$(build-classpath org.hamcrest:hamcrest-all)
%pom_xpath_set "javac[@classpath='lib/junit-4.13.jar:lib']/@classpath" \
  "$JUNIT_CLASSPATH:$HAMCREST_CLASSPATH" build.xml
%pom_xpath_set "classpath[@location='lib/junit-4.13.jar']/@location" \
  "$JUNIT_CLASSPATH" build.xml
%pom_xpath_set "classpath[@location='lib/hamcrest-all-1.3.jar']/@location" \
  "$HAMCREST_CLASSPATH" build.xml

%build
# Generate source code
make clean sources
LANG="C.UTF-8" ant jar pom javadoc

%install
%mvn_artifact pom.xml fastutil-%{version}.jar
%mvn_install -J docs/

%check
ant junit

%files -f .mfiles
%doc CHANGES README.md
%license LICENSE-2.0

%changelog
* Sun Jul 02 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 8.5.12-1
- Update to version 8.5.12
- Unretire package
- Rewrite spec

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 27 2015 gil cattaneo <puntogil@libero.it> 7.0.7-1
- update to 7.0.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 6.5.9-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 6.5.9-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Sep 18 2013 gil cattaneo <puntogil@libero.it> 6.5.9-1
- update to 6.5.9

* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 6.5.7-1
- imported package fastutil for Fedora

* Wed Nov 02 2011 gil cattaneo <puntogil@libero.it> 6.4.1-1.mga2
- imported package fastutil
